Start a timer
Starts a timer for the authenticated user. Returns 409 if a timer is already running for this user.
curl --request POST \
--url https://api.superthread.com/v1/{team_id}/time/timer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_id": "2700",
"scope_type": "card",
"scope_id": "<string>",
"time_category_id": "tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB",
"category_id": "<string>",
"description": "<string>",
"billable": true
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/time/timer"
payload = {
"card_id": "2700",
"scope_type": "card",
"scope_id": "<string>",
"time_category_id": "tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB",
"category_id": "<string>",
"description": "<string>",
"billable": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_id: '2700',
scope_type: 'card',
scope_id: '<string>',
time_category_id: 'tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB',
category_id: '<string>',
description: '<string>',
billable: true
})
};
fetch('https://api.superthread.com/v1/{team_id}/time/timer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_timer": {
"team_id": "tDsu0j19",
"user_id": "uR2dws11",
"card_id": "2700",
"scope_type": "card",
"scope_id": "<string>",
"time_category_id": "tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB",
"category_id": "<string>",
"started_at": 1608742037016,
"description": "Pairing with Alex on the API spec",
"billable": true,
"version": 1
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Client-generated ULID used to replay a time mutation safely. Optional only for legacy clients during rolling migration.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Body
Card receiving the timer. Preferred over the legacy scope fields.
"2700"
Legacy time-entry target type retained for rolling-client compatibility.
card, category "card"
Legacy card ID, used when card_id is omitted.
"tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB"
Legacy alias for time_category_id.
Response
Timer started
A user's currently-running timer. Singleton per user per workspace.
Show child attributes
Show child attributes
